Package org.eclipse.ecf.core.events

# Class ContainerEjectedEvent

java.lang.Object
org.eclipse.ecf.core.events.ContainerEjectedEvent

All Implemented Interfaces:
  `IContainerEjectedEvent`, `IContainerEvent`, `Event`

public class ContainerEjectedEvent extends Object implements IContainerEjectedEvent

## Constructor Summary

Constructors
Constructor
Description
`ContainerEjectedEvent(ID localContainerID, ID targetID, Serializable reason)`

## Method Summary

Modifier and Type
Method
Description
`ID`
`getLocalContainerID()`
Get ID of local discovery container (the discovery container receiving this event).
`Serializable`
`getReason()`
Get reason for ejection
`ID`
`getTargetID()`
Get ID of container target (the container we were ejected from)
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ContainerEjectedEvent

public ContainerEjectedEvent(ID localContainerID, ID targetID, Serializable reason)

## Method Details

### getTargetID

public ID getTargetID()
Description copied from interface: `IContainerEjectedEvent`
Get ID of container target (the container we were ejected from)

Specified by:
  `getTargetID` in interface `IContainerEjectedEvent`
Returns:
  ID the ID of the container we were ejected from. Will not be null.

### getLocalContainerID

public ID getLocalContainerID()
Description copied from interface: `IContainerEvent`
Get ID of local discovery container (the discovery container receiving this event).

Specified by:
  `getLocalContainerID` in interface `IContainerEvent`
Returns:
  ID for local container. Will not return `null`.

### getReason

public Serializable getReason()
Description copied from interface: `IContainerEjectedEvent`
Get reason for ejection

Specified by:
  `getReason` in interface `IContainerEjectedEvent`
Returns:
  Serializable reason for ejection. May be null.

### toString

public String toString()

Overrides:
  `toString` in class `Object`